Bug 1027288 - Review Request: dmlite-shell - Shell environment for dmlite
Review Request: dmlite-shell - Shell environment for dmlite
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 08:30 EST by Adrien Devresse
Modified: 2014-04-29 15:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: dmlite-shell-0.6.2-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 10:58:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adrien Devresse 2013-11-06 08:30:26 EST
Spec URL: http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/reviews/dmlite-shell.spec
SRPM URL: http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/reviews/dmlite-shell-0.2.1-2.el6.src.rpm
Description: This package provides a shell environment for dmlite. It includes useful
commands for system administration, testers and power users.
Fedora Account System Username: adev
Comment 1 František Dvořák 2013-11-21 14:31:02 EST
There is problem with runtime dependency: python-dmlite package doesn't exist.

And is dmlite-shell package intended also for EPEL5? Otherwise you could consider removing '%clean' section, 'rm -rf' in %install section, and %defattr.

  Frantisek
Comment 2 Adrien Devresse 2013-11-27 08:45:53 EST
Hi Frantisek,

Thank you for your comments.
Yes it intends to be provided on EPEL5 too.

Concerning the dependency to python-dmlite, It was expected to have this package inside Fedora/EPEL, but it seems that the review has been delayed.
I will take care of it.
Comment 3 Mattias Ellert 2013-12-11 07:43:57 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
Built package is not installable - requires python-dmlite which is not
available.

The specfile says "Buildroot" instead of "BuildRoot".

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.

Strange space before the dash though.

[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.

The required python-dmlite is not available

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: EPEL5: Package does run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4

Is this still needed? RHEL/CentOS 5 has rpm 4.4.2.3.

[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: EPEL5 requires explicit %clean with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)

Python:
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[-]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).

The python-dmlite requires is not resolvable.

[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: EPEL5 requires explicit BuildRoot tag
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.

Package not installable due to missing requires - not possible to run
rpmlint on installed package.

[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.33 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.33
INFO: Mock Version: 1.1.33
Start: lock buildroot
INFO: installing package(s): /home/ellert/F/1027288-dmlite-shell/results/dmlite-shell-0.2.1-2.fc21.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', 'install', '/home/ellert/F/1027288-dmlite-shell/results/dmlite-shell-0.2.1-2.fc21.noarch.rpm', '--setopt=tsflags=nocontexts']
Fel: Paket: dmlite-shell-0.2.1-2.fc21.noarch (/dmlite-shell-0.2.1-2.fc21.noarch)
         Behöver: python-dmlite
 Du kan försöka använda --skip-broken för att gå runt problemet
 Du kan försöka köra: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: dmlite-shell-0.2.1-2.fc21.noarch.rpm
          dmlite-shell-0.2.1-2.fc21.src.rpm
dmlite-shell.noarch: W: no-manual-page-for-binary dmlite-shell
dmlite-shell.src: W: invalid-url Source0: dmlite-shell-0.2.1.tar.gz
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Requires
--------
dmlite-shell (rpmlib, GLIBC filtered):
    /usr/bin/env
    python(abi)
    python-dateutil
    python-dmlite



Provides
--------
dmlite-shell:
    dmlite-shell



Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1027288 -m fedora-rawhide-x86_64 -D EPEL5
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG
Comment 4 Adrien Devresse 2013-12-11 07:56:57 EST
Hi Matthias, 

python-dmlite ( the missing dependency ) is in the testing repository for now. EPEL testing is ok.
Comment 5 Mattias Ellert 2013-12-11 08:57:17 EST
Oh, I only looked in fedora-updates-testing on F19 and did not find it. Is there a reason for having it only in EPEL and not in Fedora?
Comment 6 Adrien Devresse 2013-12-12 08:43:56 EST
Not in particular, it's the maintainer personnal choice I guess.
I just made a request to him to get it on f19 and rawhide too.

New version from your comments : 

Spec URL: http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/reviews/dmlite-shell.spec
SRPM URL: http://grid-deployment.web.cern.ch/grid-deployment/dms/lcgutil/reviews/dmlite-shell-0.2.1-2.el6.src.rpm

Adrien
Comment 7 Mattias Ellert 2013-12-13 03:42:12 EST
Package approved.

But - please make sure that the python-dmlite package is available in the repos where you make the package available so that you don't create broken dependencies.
Comment 8 Adrien Devresse 2013-12-13 04:10:18 EST
I will, thank you Mattias.


New Package SCM Request
=======================
Package Name: dmlite-shell
Short Description: Shell environment for dmlite
Owners: adev
Branches: f18 f19 f20 el6 el5
InitialCC:
Comment 9 Gwyn Ciesla 2013-12-13 07:41:45 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-12-13 10:39:27 EST
dmlite-shell-0.2.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dmlite-shell-0.2.1-2.el6
Comment 11 Fedora Update System 2013-12-13 10:56:40 EST
dmlite-shell-0.2.1-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dmlite-shell-0.2.1-2.el5
Comment 12 Fedora Update System 2014-03-12 05:45:46 EDT
dmlite-shell-0.6.2-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dmlite-shell-0.6.2-2.el5
Comment 13 Fedora Update System 2014-03-12 06:00:53 EDT
dmlite-shell-0.6.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dmlite-shell-0.6.2-2.el6
Comment 14 Fedora Update System 2014-04-29 15:48:26 EDT
dmlite-shell-0.6.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2014-04-29 15:48:44 EDT
dmlite-shell-0.6.2-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.